JaMorphData (Lucene 10.5.0 kuromoji API)
Description: declaration: package: org.apache.lucene.analysis.ja.dict, interface: JaMorphData

Package org.apache.lucene.analysis.ja.dict

# Interface JaMorphData

All Superinterfaces:
  `MorphData`

public interface JaMorphData extends MorphData
Represents Japanese morphological information.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBaseForm(int morphId, char[] surface, int off, int len)`
  Get base form of word
  `String`
  `getInflectionForm(int wordId)`
  Get inflection form of tokens
  `String`
  `getInflectionType(int morphId)`
  Get inflection type of tokens
  `String`
  `getPartOfSpeech(int morphId)`
  Get Part-Of-Speech of tokens
  `String`
  `getPronunciation(int morphId, char[] surface, int off, int len)`
  Get pronunciation of tokens
  `String`
  `getReading(int morphId, char[] surface, int off, int len)`
  Get reading of tokens

  ### Methods inherited from interface org.apache.lucene.analysis.morph.MorphData

  `getLeftId, getRightId, getWordCost`

- ## Method Details

  - ### getPartOfSpeech

    String getPartOfSpeech(int morphId)
    Get Part-Of-Speech of tokens
    Parameters:
      `morphId` - word ID of token
    Returns:
      Part-Of-Speech of the token

  - ### getReading

    String getReading(int morphId, char[] surface, int off, int len)
    Get reading of tokens
    Parameters:
      `morphId` - word ID of token
    Returns:
      Reading of the token

  - ### getBaseForm

    String getBaseForm(int morphId, char[] surface, int off, int len)
    Get base form of word
    Parameters:
      `morphId` - word ID of token
    Returns:
      Base form (only different for inflected words, otherwise null)

  - ### getPronunciation

    String getPronunciation(int morphId, char[] surface, int off, int len)
    Get pronunciation of tokens
    Parameters:
      `morphId` - word ID of token
    Returns:
      Pronunciation of the token

  - ### getInflectionType

    String getInflectionType(int morphId)
    Get inflection type of tokens
    Parameters:
      `morphId` - word ID of token
    Returns:
      inflection type, or null

  - ### getInflectionForm

    String getInflectionForm(int wordId)
    Get inflection form of tokens
    Parameters:
      `wordId` - word ID of token
    Returns:
      inflection form, or null